import { EventEmitter, OnInit, AfterViewInit } from '@angular/core';
import { MatTableDataSource, MatPaginator, MatSort, ProgressSpinnerMode } from '@angular/material';
import { DatePipe } from '@angular/common';
import { MatDatetimepickerFilterType } from '@mat-datetimepicker/core';
import { Moment } from 'moment/moment';
import { MatDynamicTableService } from './mat-dynamic-table.service';
export declare class MatDynamicTableComponent implements OnInit, AfterViewInit {
    backendApi: MatDynamicTableService;
    datePipe: DatePipe;
    today: Moment;
    tomorrow: Moment;
    min: Moment;
    max: Moment;
    start: Moment;
    filter: (date: Moment, type: MatDatetimepickerFilterType) => boolean;
    transitions: any[];
    transition: any;
    dataSource: MatTableDataSource<any>;
    displayedColumns: any[];
    paginator: MatPaginator;
    sort: MatSort;
    onSpecial: EventEmitter<any>;
    mode: ProgressSpinnerMode;
    displayedTypeColumns: any;
    api: string;
    sortObject: any;
    resultsLength: number;
    isLoadingResults: boolean;
    isRateLimitReached: boolean;
    dataStatus: string;
    typeColumns: any;
    columnsObject: any;
    valueColumns: any;
    error: Error;
    constructor(backendApi: MatDynamicTableService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    searchFilter(): Promise<void>;
    formatHeader(header: any): any;
    getHeaderKeys(): void;
    formatDate(date: any): string;
    _formatDate(date: Date, format?: string): string;
    spliceWord(word: any, element: any): any;
    onSpecialClick(element: any): void;
}
